Announcement

Collapse
No announcement yet.

publish a apt / deb repository

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Aaron
    replied
    Hello,

    The 32bit package is the correct one to use on newer 64bit systems. Both packages are technically 32bit, but the 64bit installer is a legacy installer used for older Debian systems that required it to be packaged that way (including the older 32bit backwards compatibility library requirements).

    The easiest install method is to use the 32bit .deb installer on our website, which would also set up apt-get for updates (or can be grabbed internally using the Help menu -> Check for Updates).

    Leave a comment:


  • Dave_L
    replied
    I think the name of the package to install is "bcompare:i386".

    I would try this first:

    Code:
    sudo apt-get -s install bcompare:i386
    (The -s option means "simulate", and shows you what will be done without making any actual changes.)

    Actually, I think there's a problem with the way the repository or package is set up. In my case (Ubuntu 12.04.5, 64-bit), both packages bcompare and bcompare:i386 show up in synaptic, bcompare as "not installed" and bcompare :i386 as "installed". But the list of installed files is displayed for bcompare and not for bcompare:i386, which doesn't make sense. Earlier reference: http://www.scootersoftware.com/vbull...2845#post42845

    You might want to wait for clarification from one of the Team Scooter guys before proceding.
    Last edited by Dave_L; 16-Nov-2014, 12:00 PM.

    Leave a comment:


  • intersol
    replied
    Thanks for the hint. I manually added the repository and tried to do an apt-get install bcompare.

    It fails because it says it requires ia32-libs which do cannot be installed on Ubuntu 12.04.5 LTS

    Leave a comment:


  • Dave_L
    replied
    When BC4 is installed using the .deb, an apt repository reference is created, and subsequent updates are available through the the Debian package management system:

    Code:
    $ cat /etc/apt/sources.list.d/scootersoftware.list
    deb http://www.scootersoftware.com/ bcompare4 non-free

    Leave a comment:


  • intersol
    started a topic publish a apt / deb repository

    publish a apt / deb repository

    The proper way to install and update software on Debian like systems is via apt repositories.

    As you already have a deb package it would be extreamly easy to publish them on https://apt.scootersoftware.com so people can not only install using apt but can also get updates as soon they are released.
Working...
X